package com.ruoyi.mall.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import java.util.Date;

/**
 * 用户签到对象 tb_sign_up
 *
 * @author ruoyi
 * @date 2025-03-31
 */
public class TbSignUp extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 签到ID */
    private Long signUpId;

    /** 用户ID */
    private Long userId;
    @Excel(name = "手机号")
    private String phone;
    @Excel(name = "用户名称")
    private String name;

    /** 所得积分 */
    @Excel(name = "所得积分")
    private Long score;

    /** 签到时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "签到时间", dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    public Long getSignUpId() {
        return signUpId;
    }

    public void setSignUpId(Long signUpId) {
        this.signUpId = signUpId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Long getScore() {
        return score;
    }

    public void setScore(Long score) {
        this.score = score;
    }

    @Override
    public Date getCreateTime() {
        return createTime;
    }

    @Override
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    @Override
    public String toString() {
        return "TbSignUp{" +
                "signUpId=" + signUpId +
                ", userId=" + userId +
                ", phone='" + phone + '\'' +
                ", name='" + name + '\'' +
                ", score=" + score +
                ", createTime=" + createTime +
                '}';
    }
}
